# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.22

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /var/jenkins/workspace/ArborX_nightly/examples

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /var/jenkins/workspace/ArborX_nightly/build-examples

# Include any dependencies generated for this target.
include callback/CMakeFiles/ArborX_Example_Callback.exe.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include callback/CMakeFiles/ArborX_Example_Callback.exe.dir/compiler_depend.make

# Include the progress variables for this target.
include callback/CMakeFiles/ArborX_Example_Callback.exe.dir/progress.make

# Include the compile flags for this target's objects.
include callback/CMakeFiles/ArborX_Example_Callback.exe.dir/flags.make

callback/CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.o: callback/CMakeFiles/ArborX_Example_Callback.exe.dir/flags.make
callback/CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.o: /var/jenkins/workspace/ArborX_nightly/examples/callback/example_callback.cpp
callback/CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.o: callback/CMakeFiles/ArborX_Example_Callback.exe.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/var/jenkins/workspace/ArborX_nightly/build-examples/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object callback/CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.o"
	cd /var/jenkins/workspace/ArborX_nightly/build-examples/callback && /var/jenkins/workspace/ArborX_nightly/install-kokkos/bin/kokkos_launch_compiler /var/jenkins/workspace/ArborX_nightly/install-kokkos/bin/nvcc_wrapper /usr/bin/c++ /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT callback/CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.o -MF CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.o.d -o CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.o -c /var/jenkins/workspace/ArborX_nightly/examples/callback/example_callback.cpp

callback/CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.i"
	cd /var/jenkins/workspace/ArborX_nightly/build-examples/callback && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /var/jenkins/workspace/ArborX_nightly/examples/callback/example_callback.cpp > CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.i

callback/CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.s"
	cd /var/jenkins/workspace/ArborX_nightly/build-examples/callback && /usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /var/jenkins/workspace/ArborX_nightly/examples/callback/example_callback.cpp -o CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.s

# Object files for target ArborX_Example_Callback.exe
ArborX_Example_Callback_exe_OBJECTS = \
"CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.o"

# External object files for target ArborX_Example_Callback.exe
ArborX_Example_Callback_exe_EXTERNAL_OBJECTS =

callback/ArborX_Example_Callback.exe: callback/CMakeFiles/ArborX_Example_Callback.exe.dir/example_callback.cpp.o
callback/ArborX_Example_Callback.exe: callback/CMakeFiles/ArborX_Example_Callback.exe.dir/build.make
callback/ArborX_Example_Callback.exe: /var/jenkins/workspace/ArborX_nightly/install-kokkos/lib/libkokkoscontainers.a
callback/ArborX_Example_Callback.exe: /var/jenkins/workspace/ArborX_nightly/install-kokkos/lib/libkokkosalgorithms.a
callback/ArborX_Example_Callback.exe: /var/jenkins/workspace/ArborX_nightly/install-kokkos/lib/libkokkossimd.a
callback/ArborX_Example_Callback.exe: /var/jenkins/workspace/ArborX_nightly/install-kokkos/lib/libkokkoscore.a
callback/ArborX_Example_Callback.exe: /usr/lib64/libcuda.so
callback/ArborX_Example_Callback.exe: /usr/local/cuda/lib64/libcudart.so
callback/ArborX_Example_Callback.exe: callback/CMakeFiles/ArborX_Example_Callback.exe.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/var/jenkins/workspace/ArborX_nightly/build-examples/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking CXX executable ArborX_Example_Callback.exe"
	cd /var/jenkins/workspace/ArborX_nightly/build-examples/callback && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/ArborX_Example_Callback.exe.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
callback/CMakeFiles/ArborX_Example_Callback.exe.dir/build: callback/ArborX_Example_Callback.exe
.PHONY : callback/CMakeFiles/ArborX_Example_Callback.exe.dir/build

callback/CMakeFiles/ArborX_Example_Callback.exe.dir/clean:
	cd /var/jenkins/workspace/ArborX_nightly/build-examples/callback && $(CMAKE_COMMAND) -P CMakeFiles/ArborX_Example_Callback.exe.dir/cmake_clean.cmake
.PHONY : callback/CMakeFiles/ArborX_Example_Callback.exe.dir/clean

callback/CMakeFiles/ArborX_Example_Callback.exe.dir/depend:
	cd /var/jenkins/workspace/ArborX_nightly/build-examples && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /var/jenkins/workspace/ArborX_nightly/examples /var/jenkins/workspace/ArborX_nightly/examples/callback /var/jenkins/workspace/ArborX_nightly/build-examples /var/jenkins/workspace/ArborX_nightly/build-examples/callback /var/jenkins/workspace/ArborX_nightly/build-examples/callback/CMakeFiles/ArborX_Example_Callback.exe.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : callback/CMakeFiles/ArborX_Example_Callback.exe.dir/depend

